#
# spec file for package smokin-guns-data
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           smokin-guns-data
Url:            http://www.smokin-guns.org
License:        SUSE-Freeware
Group:          Amusements/Games/3D/Shoot
Source:         Smokin_Guns_%{version}.zip
NoSource:       0
Summary:        Smokin Guns gamefiles downloader
Version:        1.1
Release:        5.73
BuildRequires:  unzip
BuildArch:      noarch

%description
Content files for Smokin Guns game.

%prep
cp %{SOURCE0} .
unzip Smokin_Guns_1.1.zip
rm -f Smokin_Guns_1.1.zip
cd "Smokin' Guns 1.1"
#duplicate:
rm -f smokinguns/pak0.README

%build

%install
cd "Smokin' Guns 1.1"
mkdir -p %{buildroot}%{_datadir}/smokin-guns
mv smokinguns %{buildroot}%{_datadir}/smokin-guns
mv baseq3 %{buildroot}%{_datadir}/smokin-guns

mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/
mv LICENSE.txt %{buildroot}%{_datadir}/smokin-guns/baseq3/pak0.README %{buildroot}%{_defaultdocdir}/%{name}/

%files
%defattr(-, root, root)
%{_datadir}/smokin-guns/
%attr(0644,root,root) %{_datadir}/smokin-guns/baseq3/pak0.pk3
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/default.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/included_fanpak0.pk3
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_all_br.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_all_dm.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_big_br.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_big_dm.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_du.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_medium_br.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_medium_dm.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_mix.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_small_br.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/mapcycle_small_dm.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/server_bank_robbery.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/server.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/server_deathmatch.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/server_duel.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/server_mixed.cfg
%attr(0644,root,root) %{_datadir}/smokin-guns/smokinguns/sg_pak0.pk3
%{_defaultdocdir}/%{name}/
%attr(0644,root,root) %{_defaultdocdir}/%{name}/LICENSE.txt
%attr(0644,root,root) %{_defaultdocdir}/%{name}/pak0.README

%changelog
* Sat Dec 15 2012 mailaender@opensuse.org
- don't use GUI AutoDownloader because of dedicated servers
* Thu Oct  4 2012 reddwarf@opensuse.org
- Don't download the data in the %%post script
* Wed Sep 26 2012 mailaender@opensuse.org
- initial packaging
